cproc

Unnamed repository; edit this file 'description' to name the repository.
git clone git://git.nihaljere.xyz/cproc
Log | Files | Refs | Submodules | README | LICENSE

commit 3849dd77204177fce2568b5bbace6e400c6a6064
parent 9f5092884474c5a171c422f9131e74765964d62f
Author: Michael Forney <mforney@mforney.org>
Date:   Thu, 30 Jan 2020 13:51:11 -0800

runtests: Count number of failing tests

Diffstat:
Mruntests | 9++++++---
1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/runtests b/runtests @@ -4,7 +4,7 @@ if [ $# = 0 ] ; then set -- test/*.c fi -exitstatus=0 +numfail=0 out=$(mktemp) trap 'rm "$out"' EXIT for test ; do @@ -12,9 +12,12 @@ for test ; do result="PASS" else result="FAIL" - exitstatus=1 + numfail=$((numfail + 1)) fi echo "[$result] $test" >&2 done -exit $exitstatus +if [ "$numfail" -gt 0 ] ; then + printf "%d test(s) failed\n" "$numfail" + exit 1 +fi